%define name		x11-driver-video-nouveau
%define upname		xf86-video-nouveau
%define version		0.0.16
%define snapshot	20120322
%define rel		 1

%define release %mkrel 0.%{snapshot}.%{rel}

Summary:	Accelerated open source driver for NVIDIA cards
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/X11
License:	MIT
URL:		http://nouveau.freedesktop.org/
# rm -rf xf86-video-nouveau && git clone git://anongit.freedesktop.org/git/nouveau/xf86-video-nouveau/ && cd xf86-video-nouveau/
# git archive --prefix=xf86-video-nouveau-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../xf86-video-nouveau-$(date +%Y%m%d).tar.xz
Source0:	%{upname}-%{snapshot}.tar.xz
BuildRequires:	libdrm-devel >= 2.4.19-2
BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	x11-server-devel >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1
BuildRequires:	GL-devel
BuildRequires:	udev-devel
Conflicts:	xorg-x11-server < 7.0
# No DKMS package for now; nouveau module is in main kernel.
# If needed, DKMS package may be resurrected, but work is needed to make it
# build with the new linux-2.6 tree of nouveau.
Obsoletes:	dkms-nouveau < 0.0.13-0.20090600
Requires:	kmod(nouveau)
Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)
# No firmware needed:
Obsoletes:	nouveau-firmware < 20091212-2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The nouveau project aims to build high-quality, open source drivers
for NVIDIA cards.

%prep
%setup -q -n %{upname}-%{snapshot}
grep -q %{version} configure.ac

%build
autoreconf -v --install
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/nouveau_drv.la
%{_libdir}/xorg/modules/drivers/nouveau_drv.so
%{_mandir}/man4/nouveau*




%changelog

* Sun Mar 25 2012 tmb <tmb> 0.0.16-0.20120322.1.mga2
+ Revision: 226208
- update to 2012-03-22, adds Kepler (GTX6xx) support

* Tue Dec 06 2011 tmb <tmb> 0.0.16-0.20111203.2.mga2
+ Revision: 177462
- submit to core/release

* Sat Dec 03 2011 anssi <anssi> 0.0.16-0.20111203.1.mga2
+ Revision: 175273
- new snapshot

* Sat Oct 08 2011 tv <tv> 0.0.16-0.20110303.5.mga2
+ Revision: 153303
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 0.0.16-0.20110303.4.mga2
+ Revision: 153088
- rebuild for xserver-1.11

* Sat Mar 05 2011 tmb <tmb> 0.0.16-0.20110303.3.mga1
+ Revision: 65083
- update to 2011-03-03 snapshot

* Fri Mar 04 2011 tv <tv> 0.0.16-0.20110107.2.mga1
+ Revision: 64446
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 0.0.16-0.20110107.1.mga1
+ Revision: 50637
- update to 2011-01-07 snapshot
- add P0: revert changes not supported by 2.6.37 series headers

  + blino <blino>
    - imported package x11-driver-video-nouveau

